Subject: Re: breaking TLS (Was: Re: multiplexing -- don't do it)

From: Ray Polk <[email-masked]>
Date: Fri, 6 Apr 2012 08:50:05 -0700 (PDT)

I think Nicolas makes a very strong and important point here.  I think everyone agrees security is a never ending battle of one-upmanship.  People often use the term "arms race" to draw an analogy.

I prefer the analogy of bacteria / antibiotics.  In the lowest risk infection situations, the user is left to their own devices.  In the highest risk, life/death situations, security doctors bring the most powerful antibiotics to bear.  To treat every infection with the most powerful countermeasures would weaken those countermeasures for the most extreme cases.

Each security mechanism also brings cost to the user and the infrastructure.  In time, the countermeasure loses its effectiveness and another mechanism is broadly deployed...as time goes to infinity, only the cost increases.

-Ray

----- Original Message -----
From: [email-masked]
To: [email-masked]
Sent: Friday, April 6, 2012 8:35:43 AM GMT -07:00 US/Canada Mountain
Subject: Re: breaking TLS (Was: Re: multiplexing -- don't do it)

Amos Jeffries <squid3@...> writes:

> IME admin are usually not that eager to do MITM on TLS.

Yes there are all sorts of unpleasant legal risks involved

> It is required by policy makers who just want to publish tick-box policies 

It is required to authenticate proxy users now that popular sites are moving to
ssl, since no one has defined a reliable way to do it without breaking tls.

And then once the system is in place who will vouch it won't be abused for
corporate follies?

It is *very* dangerous to make encryption an all-or-nothing proposal. That makes
it an everyone-has-a-reason-to-break-it system, which means it *will* be broken,
even in the cases it's perfectly justified.

If you want to add security to browsing make *very* sure there is little reason
for legal-abiding entities to break it, or they will finance and build the tools
criminals will use. That means using encryption sparingly, not as a blanket
system.

---

From: William Chan (陈智昌) <[email-masked]>
Date: Fri, 6 Apr 2012 18:02:20 +0200

I don't like this analogy. Humans have basic immune defenses. In most
places, we put locks on public facing doors. We send mail in sealed
envelopes. Yet we send almost all our browsing traffic in the clear. Come
on guys.

And it's not like there aren't enough organizations out there trying to
break SSL already. I think they're already pretty motivated.

On Fri, Apr 6, 2012 at 5:50 PM, Ray Polk <[email-masked]> wrote:

> I think Nicolas makes a very strong and important point here.  I think
> everyone agrees security is a never ending battle of one-upmanship.  People
> often use the term "arms race" to draw an analogy.
>
> I prefer the analogy of bacteria / antibiotics.  In the lowest risk
> infection situations, the user is left to their own devices.  In the
> highest risk, life/death situations, security doctors bring the most
> powerful antibiotics to bear.  To treat every infection with the most
> powerful countermeasures would weaken those countermeasures for the most
> extreme cases.
>
> Each security mechanism also brings cost to the user and the
> infrastructure.  In time, the countermeasure loses its effectiveness and
> another mechanism is broadly deployed...as time goes to infinity, only the
> cost increases.
>
> -Ray
>

---

From: patrick mcmanus <[email-masked]>
Date: Fri, 06 Apr 2012 18:13:30 -0400

On 4/6/2012 12:02 PM, William Chan (陈智昌) wrote:
> envelopes. Yet we send almost all our browsing traffic in the clear. 
> Come on guys.
>

yes.

I'm really open minded about how we do it, but the current state of 
things is miserable and we've got the tools to improve it. I'm ready to 
do that.

---

From: Amos Jeffries <[email-masked]>
Date: Fri, 13 Apr 2012 18:15:31 +1200

On 7/04/2012 4:02 a.m., William Chan (陈智昌) wrote:
> And it's not like there aren't enough organizations out there trying 
> to break SSL already. I think they're already pretty motivated.

I think its a great analogy. Door locks are themselves a bygone security 
technology that was top of the line once and got broadly deployed, even 
there its still "most places" with patchy lock coverage in "legacy" 
country areas and postcards. The result, lock picks as sophisticated as 
rammers.

No use trying a lock pick against a bank safe though, or using an RFID 
scanner against a country hick with barred windows. Variation and 
appropriate application is the backbone of real security. We just need 
to keep that in mind when thinking of rolling TLS into everywhere.

AYJ